# Class PositionInvariantsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.datasketches.common.positional.PositionInvariantsException

All Implemented Interfaces:
  `Serializable`

public class PositionInvariantsException extends RuntimeException
Position operation violation.

Author:
  Lee Rhodes
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PositionInvariantsException(String details)`
The associated position operation violated one of the positional invariants.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PositionInvariantsException

public PositionInvariantsException(String details)
The associated position operation violated one of the positional invariants.

The invariants equation is `0 <= start <= position <= end <= capacity`.

Parameters:
  `details` - of the violation.